/// <reference types="react" />
export type { CSSInterpolation, CSSObject, Css, Cx, CxArg } from "./types";
/** https://github.com/garronej/tss-react */
export declare function createMakeStyle<Theme>(params: {
    useTheme(): Theme;
}): {
    makeStyles: <Params = void>() => <Key extends string>(getCssObjects: Record<Key, import("./types").CSSObject> | ((theme: Theme, params: Params) => Record<Key, import("./types").CSSObject>)) => {
        useStyles: (params: Params) => {
            classes: Record<Key, string>;
            theme: Theme;
            css: import("./types").Css;
            cx: import("./types").Cx;
        };
    };
    useCssAndCx: () => {
        css: import("./types").Css;
        cx: import("./types").Cx;
    };
    TssProviderForSsr: (props: {
        children: import("react").ReactNode;
    }) => JSX.Element;
};
